Catmandu::Fix::Condition::exists(3pm)

NAME
Catmandu::Fix::Condition::exists - only execute fixes if the path exists

SYNOPSIS
   # uppercase the value of field 'foo' if the field 'oogly' exists
   if exists(oogly)
     upcase(foo) # foo => 'BAR'
   end
   # inverted
   unless exists(oogly)
     upcase(foo) # foo => 'bar'
   end

SEE ALSO
Catmandu::Fix